## org.w3c.dom.svg
Interface SVGTextPathElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.Node, SVGElement, SVGExternalResourcesRequired, SVGLangSpace, SVGStylable, SVGTests, SVGTextContentElement, SVGURIReference

All Known Implementing Classes:
  SVGOMTextPathElement

public interface SVGTextPathElement
extends SVGTextContentElement, SVGURIReference

Field Summary
`static short` `TEXTPATH_METHODTYPE_ALIGN`
`static short` `TEXTPATH_METHODTYPE_STRETCH`
`static short` `TEXTPATH_METHODTYPE_UNKNOWN`
`static short` `TEXTPATH_SPACINGTYPE_AUTO`
`static short` `TEXTPATH_SPACINGTYPE_EXACT`
`static short` `TEXTPATH_SPACINGTYPE_UNKNOWN`

Fields inherited from interface org.w3c.dom.svg.SVGTextContentElement
`LENGTHADJUST_SPACING, LENGTHADJUST_SPACINGANDGLYPHS, LENGTHADJUST_UNKNOWN`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`SVGAnimatedEnumeration` `getMethod()`
`SVGAnimatedEnumeration` `getSpacing()`
`SVGAnimatedLength` `getStartOffset()`

Methods inherited from interface org.w3c.dom.svg.SVGTextContentElement
`getCharNumAtPosition, getComputedTextLength, getEndPositionOfChar, getExtentOfChar, getLengthAdjust, getNumberOfChars, getRotationOfChar, getStartPositionOfChar, getSubStringLength, getTextLength, selectSubString`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.svg.SVGTests
`getRequiredExtensions, getRequiredFeatures, getSystemLanguage, hasExtension`

Methods inherited from interface org.w3c.dom.svg.SVGLangSpace
`getXMLlang, getXMLspace, setXMLlang, setXMLspace`

Methods inherited from interface org.w3c.dom.svg.SVGExternalResourcesRequired
`getExternalResourcesRequired`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Methods inherited from interface org.w3c.dom.events.EventTarget
`addEventListener, dispatchEvent, removeEventListener`

Methods inherited from interface org.w3c.dom.svg.SVGURIReference
`getHref`

Field Detail

### TEXTPATH_METHODTYPE_UNKNOWN

    public static final short TEXTPATH_METHODTYPE_UNKNOWN

See Also:
  Constant Field Values

### TEXTPATH_METHODTYPE_ALIGN

    public static final short TEXTPATH_METHODTYPE_ALIGN

See Also:
  Constant Field Values

### TEXTPATH_METHODTYPE_STRETCH

    public static final short TEXTPATH_METHODTYPE_STRETCH

See Also:
  Constant Field Values

### TEXTPATH_SPACINGTYPE_UNKNOWN

    public static final short TEXTPATH_SPACINGTYPE_UNKNOWN

See Also:
  Constant Field Values

### TEXTPATH_SPACINGTYPE_AUTO

    public static final short TEXTPATH_SPACINGTYPE_AUTO

See Also:
  Constant Field Values

### TEXTPATH_SPACINGTYPE_EXACT

    public static final short TEXTPATH_SPACINGTYPE_EXACT

See Also:
  Constant Field Values

Method Detail

### getStartOffset

    public SVGAnimatedLength getStartOffset()

### getMethod

    public SVGAnimatedEnumeration getMethod()

### getSpacing

    public SVGAnimatedEnumeration getSpacing()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.